Generate Transaction OTP

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

referenceKey received in Remitter Profile response## Headers Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code - 1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Outlet-IdStringMerchant unique IDMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Request Parameters


ParametersTypeDescription
remitterMobileNumberStringRemitter Mobile Number
amountStringAmount to be transfered
referenceKeyStringreferenceKey received in Remitter Profile response

Sample Request

curl --location 'https://api.instantpay.in/fi/remit/out/domestic/v2/generateTransactionOtp' \
--header 'X-Ipay-Endpoint-Ip: 49.249.72.66' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'Content-Type: application/json' \
--data '{
    "remitterMobileNumber": "9876543210",
    "amount": "10.00",
    "referenceKey": "RjBaRH1pCoFQ3e7CSHxeeTHss/3AunsfDnYOXJMroyO6SxVxYhF3DouYsXSiwlM0"
}'
POST /fi/remit/out/domestic/v2/generateTransactionOtp HTTP/1.1
Host: api.instantpay.in
X-Ipay-Endpoint-Ip: 49.249.72.66
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{cliebtSecret}}
X-Ipay-Auth-Code: 1
Content-Type: application/json
Content-Length: 155

{
    "remitterMobileNumber": "9876543210",
    "amount": "10.00",
    "referenceKey": "RjBaRH1pCoFQ3e7CSHxeeTHss/3AunsfDnYOXJMroyO6SxVxYhF3DouYsXSiwlM0"
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus Message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive

Sample Response

{
  "statuscode": "OTP",
  "actcode": null,
  "status": "OTP Successfully sent",
  "data": {
    "validity": "2025-12-16 17:49:19",
    "referenceKey": "TcTkLK9J+Oyz1rpbTDbDrHGZ7rFtOOpQY4lYINGnPlpUGn2u6WludIqrhCzb7O8G"
  },
  "timestamp": "2025-12-16 17:34:19",
  "ipay_uuid": "h000a09b40b3-a510-4feb-ae21-86c5f2c83779-4DbyTgDsBBL0",
  "orderid": null,
  "environment": "LIVE",
  "internalCode": null
}
Headers
string
Defaults to 1

Auth-Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

Merchant unique ID

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json